
/* szerokie ekrany */
@media only screen and (min-width:2000px) {
	.baner video {
		top: -200px;
	}
}

/* węższe ekrany  */
@media only screen and (max-width:1800px) {
	:root {
	  --glownyMargines: 50px;
	}

	.baner_opis h1 {
		font-size: 4vw;
		line-height: 4.7vw;
		margin: 0px 0px 3vw 0px;
	}
	.baner_opis {
		margin: 0px 10vw;
		grid-template-columns: 2fr 1fr;
		grid-gap: 1vw;
	}

	.knt_glowny.ofera_knt {
		max-width: 80%;
		margin: 100px auto;
	}		
	.oferta {
		grid-template-columns: 1fr 1fr 1fr;
		grid-gap: 30px;
		margin-top: -200px;
	}

	#strona_glowna .knt_szeroki.porozmawiajmy .knt_txt {
		padding: 5vw 10vw 5vw 0px;
	}
	#strona_glowna .knt_szeroki.porozmawiajmy {
		grid-gap: 75px;
		grid-template-columns: 1fr 1fr;
		padding: 0px 0px;
		margin-top: 200px;
	}
}

@media only screen and (max-width:1600px) {
	.knt_glowny {
		margin: 100px auto;
	}
	.knt_glowny.knt_prawa_lewa {
		max-width: unset;
		grid-gap: 50px;
		width: auto;
		margin-left: var(--glownyMargines);
		margin-right: var(--glownyMargines);
	}
	.knt_glowny.knt_baner {
		max-width: unset;
		width: auto;
		margin-left: var(--glownyMargines);
		margin-right: var(--glownyMargines);
	}
	.stopka {
		max-width: unset;
		margin: auto;
		padding: 75px 0px 0px 0px;
		margin-left: var(--glownyMargines);
		margin-right: var(--glownyMargines);
	}
	.stopka_knt {
	    max-width: unset;
	    margin: 100px var(--glownyMargines) 35px var(--glownyMargines);
	}
	#strona_glowna .knt_szeroki.porozmawiajmy {
		grid-gap: 50px;
		grid-template-columns: 1fr 1fr;
		padding: 0px 0px;
		margin-top: 100px;
	}
	#strona_glowna .knt_szeroki.porozmawiajmy .knt_txt p.linki button,
	#strona_glowna .knt_szeroki.porozmawiajmy .knt_txt p.linki a {
		margin-bottom: 5px;
	}

	.knt_szeroki.naglowek_podstrony .knt_glowny {
		margin: 0px var(--glownyMargines);
	}
	.knt_szeroki {
		max-width: unset;
		margin: auto 20px;
	}
	.knt_szeroki.naglowek_podstrony {
		margin: 0px;
	}
}

@media only screen and (max-width:1500px) {
	.glowny_naglowek_knt {
		width: auto;
		margin-left: var(--glownyMargines);
		margin-right: var(--glownyMargines);
	}		

	.oferta a.oferta_link {
		font-size: 16px;
		padding: 20px 30px;
	}
	.oferta_nav ul li a {
		font-size: 13px;
	}

	.popup_zawartosc{
		gap: 50px;
		padding: 0px;
	}

	.knt_glowny.podstrona_informacyjna {
		display: grid;
		grid-template-columns: 1fr 350px;
		grid-gap: 50px;
		margin-top: 50px;
		margin-left: var(--glownyMargines);
		margin-right: var(--glownyMargines);
	}
	.knt_glowny.podstrona_kontakt {
		display: grid;
		grid-template-columns: 2fr 1fr;
		grid-gap: 50px;
		margin-top: 50px;
		margin-left: var(--glownyMargines);
		margin-right: var(--glownyMargines);
	}
	.knt_glowny.podstrona_lista {
		max-width: unset;
		margin-top: 50px;
		margin-left: var(--glownyMargines);
		margin-right: var(--glownyMargines);
	}
	.knt_glowny.podstrona_lista .oferta {
		margin-top: 0px;
		margin-bottom: 50px;
	}
}

@media only screen and (max-width:1300px) {
	.glowny_naglowek {
		grid-template-columns: 250px 1fr;
	}
	.menu_glowne a {
		padding: 12px 20px 12px 25px;
		font-size: 14px;
	}
	.wyszukiwarka_knt {
		height: 30px;
		padding-right: 20px;
	}
	.wyszukiwarka_knt input {
		font-size: 13px;
		line-height: 30px;
		height: 30px;
		width: 150px;
		padding-left: 15px;
	}
	.wyszukiwarka_knt button {
		width: 20px;
	}
	.wyszukiwarka_knt button svg {
		width: 15px;
		margin-top: -13px;
	}
	#szukaj_btn .szukam {
		font-size: 14px;
		margin-left: 20px;
	}

	.menu_jezykow button.menu_j_toggle {
		height: 30px;
		padding: 0px 30px 0px 10px;
		background-color: transparent;
		font-size: 13px;
	}
	.menu_jezykow button.menu_j_toggle img {
		width: 15px;
		height: 15px;
		border-radius: 10px;
		margin-right: 10px;
	}
	.menu_jezykow button.menu_j_toggle svg {
		width: 11px;
		top: 9px;
	}
	.menu_jezykow ul {
		padding: 10px 10px 10px 15px;
	}
	.menu_jezykow ul li a {
		font-size: 13px;
		margin: 5px 0px;
	}
	a.formBtn,
	p.linki a,
	p.linki button,
	button.formBtn {
		font-size: 14px;
		line-height: 30px;
		height: 30px;
		padding: 0px 20px;
	}
	a.formBtn svg,
	p.linki a svg,
	p.linki button svg,
	button.formBtn svg {
		width: 15px;
	}

	.baner_opis p {
		font-size: 15px;
		line-height: 24px;
	}

	.knt_glowny.ofera_knt {
		max-width: 85%;
		margin: 100px auto;
	}	
	.oferta {
		grid-gap: 20px;
		margin-top: -150px;
	}

	.knt_glowny {
		margin: 75px auto;
	}
	#strona_glowna .knt_prawa_lewa .knt_txt:nth-child(1) {
		margin-left: 50px;
	}
	#strona_glowna .knt_prawa_lewa .knt_txt:nth-child(2) {
		margin-right: 50px;
	}

	.stopka .wiersz_stopki_2 div:first-child ul {
		grid-template-columns: 1fr;
		column-gap: 0px;
	}
	.stopka .wiersz_stopki_2 div:first-child ul a {
		margin-bottom: 0px;
	}
	.stopka .wiersz_stopki_2 {
		display: grid;
		grid-gap: 25px;
		grid-template-columns: 1fr 1fr 1fr 1fr;
		margin-top: 20px;
		margin-bottom: 75px;
	}

	.stopka_knt {
	    margin: 75px var(--glownyMargines) 35px var(--glownyMargines);
	}

	.formInput {
		font-size: 14px;
		line-height: 30px;
		height: 30px;
		margin: 0px;
		padding: 0px 15px;
	}
	#formularzPop .formBtn{
		font-size: 14px;
	}
	.linki_kontakt strong{
		font-size: 17px;
	}
}

@media only screen and (max-width:1000px) {
	body.influ {
		overflow-x: hidden;
	}
	html {
	  font-size: 14px;
	  line-height: 1.6em;
	}
	a.formBtn,
	p.linki a,
	p.linki button,
	button.formBtn {
		font-size: 14px;
		line-height: 30px;
		height: 30px;
		padding: 0px 20px;
		margin-bottom: 0px;
	}

	button.menu_toggle,
	#menu_mobil {
		display: block;
		background: none;
		border: none;
		cursor: pointer;
	    height: 40px;
	    width: 50px;
	}
	.menu_glowne_knt {
		position: absolute;
		z-index: 570;
		width: 100%;
		top: 90px;
		left: 0px;
		right: 0px;
		background-color: var(--kolor-bialy);
		border: 1px solid var(--kolor-szary-jasny);
		box-shadow: 0 0px 50px rgba(0,0,0,0.09);
		border-radius: var(--borderRadius);
		display: block;
		margin-top: 0px;
		padding-top: 60px;
		opacity: 0;
		margin-top: -10px;
		margin-top: 0px;
		pointer-events: none;
		-webkit-transition: 0.2s ease-in-out; -moz-transition: 0.2s ease-in-out; -o-transition: 0.2s ease-in-out; transition: 0.2s ease-in-out;
	}
	.menu_glowne_knt.active {
		opacity: 1;
		pointer-events: auto;
		margin-top: 0px;
		-webkit-transition: 0.2s ease-in-out; -moz-transition: 0.2s ease-in-out; -o-transition: 0.2s ease-in-out; transition: 0.2s ease-in-out;
	}
	.menu_glowne ul {
		flex-direction: column;
		display: none;
		padding: 0px 20px 20px 20px;
	}
	.menu_glowne ul[aria-expanded="true"] {
		display: flex;
		animation: fadeSlideDown 0.3s ease forwards;
	}
	.menu_glowne li ul {
		position: static;
		opacity: 1;
		pointer-events: auto;
		transform: none;
		border: none;
		box-shadow: none;
		max-height: 0px;
		overflow: hidden;
		transition: max-height 0.2s ease;
		display: block;
		z-index: 590;
		padding: 0px;
		width: auto;
		display: block;
		border-radius: 0px;
		background-image: none;
		padding-left: 15px;
	}
	.menu_glowne li[aria-expanded="true"] > ul {
		max-height: 1000px;
	}
	.menu_glowne li[aria-expanded="true"] > button svg {
		transform: rotate(180deg);
		fill: var(--kolor-glowny);
	}
	.menu_glowne li:hover > ul {
		opacity: 1;
		pointer-events: auto;
		transform: translateY(0);
	}
	.menu_glowne li {
		border-bottom: 1px solid #eee;
		position: relative;
	}
	.menu_glowne li:last-child {
		border-bottom: none;
	}
	.menu_glowne a {
		display: block;
		padding: 12px 0px 12px 0px;
		margin-right: 30px;
	}
	.menu_glowne a img {
		width: 25px;
		height: 25px;
	}
	.menu_glowne ul ul button,
	.menu_glowne ul button {
		margin-top: 12px;
		margin-left: -20px;
		top: 0px;
		right: 0px;
		position: absolute;
	}
	.menu_glowne li ul li {
		 display: block; 
		 gap: unset; 
	}
	.menu_glowne li ul li a {
		font-size: 13px;
	}
	.menu_glowne li ul ul {
		margin-left: 10px;
	}
	.menu_glowne ul ul ul {
		margin-top: 0px;
		padding: 0px;
		box-shadow: none;
		background-image: unset;
		background-color: transparent;
	}
	.menu_glowne ul ul ul a {
		padding-top: 6px;
		padding-bottom: 6px;
	}
	.glowny_naglowek_knt {
		padding: 20px 0px 20px 0px;
	}
	.wyszukiwarka_knt {
		position: absolute;
		background-color: #fafafa;
		top: 110px;
		left: 20px;
		right: 20px;
		width: auto;
		z-index: 600;
		opacity: 0;
		pointer-events: none;
		-webkit-transition: 0.2s ease-in-out; -moz-transition: 0.2s ease-in-out; -o-transition: 0.2s ease-in-out; transition: 0.2s ease-in-out;
		margin-top: -10px;
	}
	.wyszukiwarka_knt.active {
		opacity: 1;
		margin-top: 0px;
		pointer-events: auto;
		-webkit-transition: 0.2s ease-in-out; -moz-transition: 0.2s ease-in-out; -o-transition: 0.2s ease-in-out; transition: 0.2s ease-in-out;
	}
	.wyszukiwarka_knt .wyszukiwarka {
		display: block;
		width: 100%;
	}
	.wyszukiwarka_knt input {
		width: 96%;
		width: calc(100% - 30px);
	}
	.menu_porozmawiajmy_knt span {
		display: none;
	}
	.menu_porozmawiajmy_knt .formBtn {
		padding-left: 5px !important;
		padding-right: 10px !important;
	}
	.menu_jezykow {
		margin-right: 10px;
	}
	.menu_jezykow img {
		display: none;
	}

	.baner_knt {
		margin-left: 0px;
		margin-right: 0px;
		width: auto;
		height: 79vw;
	}
	.baner {
		height: 79vw;
		max-height: 79vw;
	}
	.baner video {
		width: auto;
		opacity: 0.8;
		position: absolute;
		top: 0px;
		left: -28vw;
		height: 79vw;
	}
	.baner_opis {
		margin: 0px 50px;
		grid-template-columns: 1fr;
		grid-gap: 4vw;
	}
	.baner_opis h1 {
		font-size: 7vw;
		line-height: 7.7vw;
		margin: 0px 0px 4vw 0px;
	}
	.baner_linki {
		text-align: left;
	}

	.knt_glowny.ofera_knt {
		max-width: 80%;
		margin: 100px auto;
	}	
	.oferta {
		display: grid;
		grid-template-columns: 1fr 1fr;
	}
	h1{
		font-size: 40px;
		line-height: 50px;
		word-break: break-word;
	}
	h2{
		font-size: 30px;
		line-height: 36px;
	}
	h3{
		font-size: 22px;
		line-height: 28px;
	}
	h4{
		font-size: 19px;
		line-height: 24px;
	}
	h5{
		font-size: 17px;
		line-height: 21px;
	}
	h6{
		font-size: 15px;
		line-height: 20px;
	}
	.naglowek_podstrony h1 {
		margin-top: 10px;
		margin-bottom: 0px;
	}
	.knt_glowny.knt_prawa_lewa {
		max-width: unset;
		grid-gap: 30px;
	}
	.popup_zawartosc h2:after,
	#strona_glowna .knt_prawa_lewa .knt_txt h2:after {
		width: 150px;
		height: 4px;
		border-radius: 0px;
		margin-top: 20px;
		margin-bottom: 15px;
	}
	#strona_glowna .knt_prawa_lewa .knt_txt p strong {
		font-size: 18px;
	}
	#strona_glowna .knt_prawa_lewa .knt_txt:nth-child(1) {
		margin-left: 0px;
	}
	#strona_glowna .knt_prawa_lewa .knt_txt:nth-child(2) {
		margin-right: 0px;
	}

	#strona_glowna .knt_szeroki.porozmawiajmy {
		grid-gap: 20px;
		margin-top: 75px;
	}
	#strona_glowna .knt_szeroki.porozmawiajmy .knt_txt h2:after {
		width: 150px;
		height: 4px;
		border-radius: 0px;
		background-color: var(--kolor-bialy);
		margin-top: 20px;
		margin-bottom: 15px;
	}
	#strona_glowna .knt_szeroki.porozmawiajmy .knt_txt p.linki span{
		display: block;
		margin-bottom: 5px;
		margin-left: 5px;
	}
	#strona_glowna .knt_szeroki.porozmawiajmy .knt_img img {
		max-width: 275px;
		transform: translateX(-10px);
	}
	#formularzPop p {
		font-size: 15px;
	}	
	#formularzPop .formularzPopRegKnt{
		    font-size: 10px;
	}

	.knt_glowny.podstrona_informacyjna {
		display: grid;
		grid-template-columns: 1fr 250px;
		grid-gap: 40px;
	}
	.knt_glowny.podstrona_kontakt {
		grid-template-columns: 3fr 2fr;
		grid-gap: 40px;
		margin-top: 50px;
	}
	.podstrona_informacyjna .porozmawiajmy {
		padding: 40px 20px 40px 20px;
		top: 20px;
	}
	.podstrona_informacyjna .porozmawiajmy h3 {
		font-size: 24px;
	}
	.podstrona_informacyjna .porozmawiajmy img {
		display: none;
	}

	ul.menu_podstron {
		display: grid;
		grid-template-columns: 1fr 1fr;
		grid-gap: 30px;
	}

	.wyniki {
		display: grid;
		grid-template-columns: 1fr;
		grid-column-gap: 0px;
		grid-row-gap: 10px;
	}

	.wp-block-table table {
	    width: auto
	}
	.wp-block-table td,.wp-block-table th {
	    word-break: auto-phrase !important;
	    text-align: unset !important;
	}
	.wp-block-table {
	    overflow-x: auto;
	    max-width: 100%;
	}
}

@media only screen and (max-width:781px) {
	:root {
	  --glownyMargines: 20px;
	  --borderRadius: 0px;
	}

	.baner_linki a,
	.baner_linki button {
		padding: 7px 20px;
		font-size: 14px;
		line-height: 24px;
	}

	.oferta a.oferta_link {
		font-size: 14px;
		padding: 15px 20px;
	}
	.oferta_nav ul li a {
		font-size: 12px;
	}
	.oferta {
		margin-top: -80px;
	}

	.knt_glowny {
		margin: 50px auto;
	}
	.knt_glowny.knt_prawa_lewa {
		grid-template-columns: 1fr;
		grid-gap: 20px;
	}
	.knt_glowny.knt_prawa_lewa .knt_img {
		max-width: 400px;
		grid-row: 2;
	}

    .wp-block-column:nth-child(2n) {
        margin-left: 0px !important;
    }
	#strona_glowna .knt_prawa_lewa#strona_3565 .knt_txt p strong {
		font-size: 16px;
	} 
	#strona_glowna .knt_prawa_lewa#strona_3565 .knt_txt p {
		margin-bottom: 0px !important;
	}
	.stopka .wiersz_stopki_2 {
		grid-gap: 20px;
		grid-template-columns: 1fr 1fr;
		margin-top: 20px;
		margin-bottom: 50px;
	}
	.stopka h3 {
		font-size: 20px;
	}
	.stopka h3:after {
		width: 100px;
		height: 4px;
		border-radius: 0px;
		margin-top: 5px;
		margin-bottom: 7px;
	}
	.stopka a,
	.stopka_copyright .stopka a,
	.stopka_copyright .stopka {
		font-size: 13px;
		line-height: 17px;
		padding-top: 4px;
		padding-bottom: 4px;
	}

	.stopka {
		padding: 50px 0px 0px 0px;
	}
	.stopka .wiersz_stopki_1 {
		display: grid;
		grid-gap: 50px;
		grid-template-columns: 2fr 1fr;
	}

	.popup_zawartosc{
		grid-template-columns: 1fr;
		gap: 20px;
	}

	.linki_kontakt{
		padding-top: 10px;
	}
	.formularzPopZawartosc {
		padding: 50px 44px 50px 50px;
	}
	#formularzPop {
		padding-right: 20px;
	}

	.knt_glowny.podstrona_informacyjna {
		grid-template-columns: 1fr;
		grid-gap: 20px;
	}
	.knt_glowny.podstrona_kontakt {
		display: grid;
		grid-template-columns: 1fr;
		grid-gap: 20px;
	}
	.tresc p,
	.tresc li,
	.tresc td,
	.tresc th {
		font-size: 14px;
		text-align: justify;
	}
    .odwroc_mobil {
    	flex-direction: column-reverse;
    }
    .wp-block-columns {

    }
    .wp-block-columns.ikony_oferty:not(.is-not-stacked-on-mobile)>.wp-block-column {
        flex-basis: 0 !important;
        flex-grow: 1 !important;
    }
	.wp-element-caption {
		font-size: 14px;
		line-height: 18px;
	}
	.videoBox {
		display: grid;
		grid-template-columns: 1fr 1fr;
		grid-gap: 20px;
	}
	.videoBox h4 {
		font-size: 12px;
		line-height: 18px;
		margin-top: 10px;
	}

	.knt_glowny.podstrona_lista .oferta {
		margin-bottom: 30px;
	}

	ul.menu_podstron {
		display: grid;
		grid-template-columns: 1fr 1fr;
		grid-gap: 20px;
	}
	ul.menu_podstron li a.menu_p_a {
		font-size: 14px !important;
		line-height: 18px !important;
		padding: 20px 20px;
	}
	.udostepnij_knt_knt {
		display: grid;
		grid-template-columns: 1fr;
		grid-gap: 10px;
	}

	.wynik {
		font-size: 14px;
	}
}

@media only screen and (max-width:450px) {
	.glowny_naglowek {
		grid-template-columns: 150px 1fr;
	}
	.logo_knt a,
	.logo_knt a img {
		display: block;
	}
	.menu_toggle {
		transform: translateX(10px);
	}
	.menu_porozmawiajmy_knt {
		transform: translateX(20px);
	}
	.menu_jezykow {
		margin-right: -20px;
	}
	.menu_glowne_knt {
		top: 60px;
	}
	.wyszukiwarka_knt {
		top: 80px;
	}

	.baner_opis_knt {
		top: 50px;
	}
	.baner_opis {
		margin: 0px 25px;
	}
	.baner_opis p {
		font-size: 13px;
		line-height: 20px;
	}

	.oferta {
		grid-template-columns: 1fr;
		margin-top: -120px;
	}
	.oferta_img {
		aspect-ratio: 8 / 4;
	}

	#strona_glowna .knt_szeroki.porozmawiajmy {
		grid-template-columns: 1fr;
		grid-gap: 0px;
		margin-top: 75px;
	}
	#strona_glowna .knt_szeroki.porozmawiajmy .knt_img {
		display: none;
	}
	#strona_glowna .knt_szeroki.porozmawiajmy .knt_txt {
		padding: var(--glownyMargines);
	}
	.stopka {
		padding: 25px 0px 0px 0px;
	}
	#strona_glowna .knt_img img.knt_img_2 {
		display: none;
	}

	#formularzPop h2{
		font-size: 24px;
		line-height: 30px;
	}
	.popup_zawartosc h2:after {
		width: 100px;
		height: 4px;
		border-radius: 0px;
		margin-top: 10px;
		margin-bottom: 5px;
	}
	#formularzPop p {
		font-size: 14px;
	}	
	#formularzPop i.formularzPopZamknij {
		right: 10px;
		top: 10px;
		font-size: 30px;
	}
	.formularzPopZawartosc {
		padding: 50px 24px 50px 30px;
	}
	.struktura_telefon{
		grid-template-columns: 1fr;
		gap: 5px;
	}

	.linki_kontakt{
		padding-top: 0px;
		padding-bottom: 20px;
	}

    .wp-block-columns.ikony_oferty:not(.is-not-stacked-on-mobile)>.wp-block-column {
        flex-basis: 50% !important;
        flex-grow: 1 !important;
    }
	.knt_szeroki.naglowek_podstrony {
		background-color: rgba(0,0,0,0.05);
		padding: 50px 0px;
		border-bottom-left-radius: 0px;
		border-top-left-radius: 0px;
	}
	.knt_szeroki {
		max-width: unset;
		margin: auto 20px auto 0px;
	}
	.podstrona_informacyjna video,
	.podstrona_informacyjna .wp-block-embed {
		width: 100% !important;
	}

	ul.menu_podstron {
		display: grid;
		grid-template-columns: 1fr 1fr;
		grid-gap: 10px;
	}
	ul.menu_podstron li a.menu_p_a {
		font-size: 13px !important;
		line-height: 17px !important;
		padding: 15px 15px;
	}
	h1{
		font-size: 30px;
		line-height: 40px;
		word-break: break-word;
	}
	h2{
		font-size: 24px;
		line-height: 30px;
	}
	h3{
		font-size: 19px;
		line-height: 24px;
	}
	h4{
		font-size: 17px;
		line-height: 22px;
	}
	h5{
		font-size: 15px;
		line-height: 20px;
	}
	h6{
		font-size: 14px;
		line-height: 18px;
	}
	.knt_glowny.podstrona_informacyjna *:first-child {
		margin-top: 0px !important;
	}
	.udostepnij_knt {
		gap: 10px;
	}

	body.influ {
		background-size: 48vw auto;
		background-position: 70vw -8.5vw;
	}
	.okruszki {
		font-size: 10px;
		line-height: 12px;
	}
	.okruszki svg,
	.okruszki img {
		height: 7px;
		width: auto;
	}
}

@media only screen and (max-width:375px) {
	.glowny_naglowek {
		grid-template-columns: 120px 1fr;
	}
	.baner_opis_knt {
		top: 25px;
	}
}